/*
 *   Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author Brian Rosenberger, bru@brutex.de
 */
@XmlType(name="connection")
public class HostConnection {

    public HostConnection() {
    }

    @XmlElement(name="hostname", required=true, nillable=false)
    public String hostname;

    @XmlElement(name="port", required=false, nillable=false)
    public int port;

    @XmlElement(name="user", required=false, nillable=false)
    public String user;

    @XmlElement(name="password", required=false, nillable=false)
    public String password;

}
